PHP 7.2 support

  • 5,545 views
  • Added
  • Author:
Hello,

We've started to get a number of automated error e-mails from users who are running PHP 7.2, which was released very recently.

There are a couple of unexpected problems with this, causing Composr to not be compatible:
  1. count(): Parameter must be an array or an object that implements Countable. In some places in our code we check to see if a list is empty, by counting it – and we consider NULL to be the same as empty. I've already found 3 bugs relating to this, and expect to find some more when going through our test set. It's a very minor coding error that PHP used to be forgiving of.
  2. Various bugs in the PHP bundled opcache extension. I have worked around these bugs now, and I have also filed 3 bug reports to php.net about them.

Very soon a new Composr patch release will be out that fixes all known issues.
We will also put out a hotfix and link it from this announcement.

EDIT: Here is the hotfix 0003454: PHP 7.2 compatibility issues - Composr CMS feature tracker
Edited
Back to Top